> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flashdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Text Placeholder Manual Insertion



## OpenAPI

````yaml https://api.flashdocs.ai/openapi.json post /v3/slides/{slide_id}/validate/text-placeholder-manual-insertion
openapi: 3.1.0
info:
  title: FlashDocs API
  description: API for FlashDocs application
  version: 1.0.0
servers:
  - url: https://api.flashdocs.ai
    description: Production server
security: []
paths:
  /v3/slides/{slide_id}/validate/text-placeholder-manual-insertion:
    post:
      tags:
        - FlashDocs Document Configuration
      summary: Validate Text Placeholder Manual Insertion
      operationId: >-
        validate_text_placeholder_manual_insertion_v3_slides__slide_id__validate_text_placeholder_manual_insertion_post
      parameters:
        - name: slide_id
          in: path
          required: true
          schema:
            type: string
            title: Slide Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TextPlaceholderValueValidationRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TextPlaceholderValueValidationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    TextPlaceholderValueValidationRequest:
      properties:
        text_placeholder_manual_insertions:
          items:
            $ref: '#/components/schemas/TextPlaceholderValue'
          type: array
          title: Text Placeholder Manual Insertions
      type: object
      required:
        - text_placeholder_manual_insertions
      title: TextPlaceholderValueValidationRequest
    TextPlaceholderValueValidationResponse:
      properties:
        all_valid:
          type: boolean
          title: All Valid
          description: Whether all placeholders are valid
          example: true
        validation_results:
          items:
            $ref: '#/components/schemas/TextPlaceholderValueValidation'
          type: array
          title: Validation Results
          description: List of validation results for each placeholder
      type: object
      required:
        - all_valid
        - validation_results
      title: TextPlaceholderValueValidationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TextPlaceholderValue:
      properties:
        placeholder:
          type: string
          title: Placeholder
          description: The placeholder text in the slide
          example: '[title]'
        value:
          type: string
          title: Value
          description: Value for the placeholder
          example: Introduce the topic of renewable energy and its importance.
      type: object
      required:
        - placeholder
        - value
      title: TextPlaceholderValue
    TextPlaceholderValueValidation:
      properties:
        placeholder:
          type: string
          title: Placeholder
          description: The placeholder text in the slide
          example: '[title]'
        valid:
          type: boolean
          title: Valid
          description: Whether the placeholder value is valid
          example: true
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: Optional. Message for the validation result
          example: >-
            The placeholder is too long. Currently 4 bullets, but needs to be
            less than or equal to 2 lines.
      type: object
      required:
        - placeholder
        - valid
      title: TextPlaceholderValueValidation
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````